%define ver 1.1
%define name kimon
Name: %{name}
Summary: Kimon - ISDN monitor for the KDE Desktop Environment
Version: %{ver}
Release: 2
Source: ftp://ftp.kde.org:/pub/kde/stable/latest/distribution/tar/source/%{name}-%{version}.tar.gz
Url: http://www.kde.org
Group: Applications/System
BuildRoot: /var/tmp/%{name}-root
Copyright: GPL
Requires: qt >= 1.33

%description
Kimon is a ISDN-Monitor for the KDE Desktop Environment.
This program opens a small window in the taskbar showing
the status of two ISDN-channels.

%prep
%setup -q

%build
export KDEDIR=/usr
export QTDIR=/usr/lib/qt-1.45
export MOC=/usr/lib/qt-1.45/bin/moc

CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" %configure \
	--prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make install_root=/

%install
rm -rf $RPM_BUILD_ROOT
make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/%{name}-%version/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file.list.%{name}

%changelog
* Thu Jan 27 2000 Tim Powers <timp@redhat.com>
- was in a bad group, fixed.
- fixed build prob. with sparc

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- Initial packaging as RPM for powertools-6.2
